<!-- 检查任务制定 完整版 功能-->
<template>
	<view class="page-wrap">
		<view class="card">
			<uni-card margin="0" :is-shadow="true">
				<u--form labelPosition="left" labelWidth="auto" labelAlign="center" :model="model" :rules="rules"
					ref="wForm" errorType="border-bottom">

					<view v-if='AUDIT_OPINION' class="label-title-red">驳回信息</view>
					<u-form-item v-if='AUDIT_OPINION' borderBottom>
						<u--textarea disabled autoHeight style="color: red !important;" :value="AUDIT_OPINION"
							placeholder="驳回信息" border="surround"></u--textarea>
					</u-form-item>

					<u-form-item v-if="model.CREACTTYPE!=null&&model.CREACTTYPE==10" label="检查范围"
						prop="CHECKOBJECT_DESCRIPTION" borderBottom>
						<u--input disabled disabledColor="#fff" v-model="model.CHECKOBJECT_DESCRIPTION" border="none"
							slot="right" inputAlign="right"></u--input>
					</u-form-item>
					<u-form-item v-else class="subRequired" required label="检查范围" prop="Nav_DepartmentDeal.NAME"
						borderBottom @click="handleShowSheet({title: '检查范围', name: 'CHECKOBJECT'})">
						<u--input disabledColor="#fff" v-model="model.CHECKOBJECT_DESCRIPTION" border="none"
							inputAlign="right"></u--input>
						<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
					</u-form-item>

					<u-form-item v-if="model.CREACTTYPE!=null&&model.CREACTTYPE==10" label="检查类型"
						prop="Nav_CheckType.NAME" borderBottom>
						<u--input disabled disabledColor="#fff" v-model="model.Nav_CheckType.NAME" border="none"
							slot="right" inputAlign="right"></u--input>
					</u-form-item>
					<u-form-item v-else class="subRequired" required label="检查类型" prop="Nav_CheckType.NAME" borderBottom
						@click="handleShowSheet({title: '检查类型', name: 'CheckTypeNAME'})">
						<u--input disabledColor="#fff" v-model="model.Nav_CheckType.NAME" border="none"
							inputAlign="right"></u--input>
						<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
					</u-form-item>

					<u-form-item label="检查层级" v-if="model.CREACTTYPE!=null&&model.CREACTTYPE==10"
						prop="Nav_CheckTypeLevel.Nav_Enums.NAME" borderBottom>
						<u--input disabled disabledColor="#fff" v-model="model.Nav_CheckTypeLevel.Nav_Enums.NAME"
							border="none" slot="right" inputAlign="right"></u--input>
					</u-form-item>
					<u-form-item v-else class="subRequired" required label="检查层级"
						prop="Nav_CheckTypeLevel.Nav_Enums.NAME" borderBottom
						@click="handleShowSheet({title: '检查层级', name: 'CheckTypeLevelNAME'})">
						<u--input disabledColor="#fff" v-model="model.Nav_CheckTypeLevel.Nav_Enums.NAME" border="none"
							inputAlign="right"></u--input>
						<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
					</u-form-item>

					<u-form-item class="subRequired" required label="检查区域" prop="RiskAreaNAME" borderBottom
						@click="handleShowSheet({title: '检查区域', name: 'RiskAreaNAME'})">
						<u--textarea disabled autoHeight disabledColor="#fff" v-model="model.RiskAreaNAME"
							placeholder="检查区域" border="none"></u--textarea>

						<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
					</u-form-item>
					<u-form-item class="subRequired" required label="检查项目" prop="CheckProjectNAME" borderBottom
						@click="handleShowSheet({title: '检查项目', name: 'CheckProjectNAME'})">
						<u--textarea disabled autoHeight disabledColor="#fff" v-model="model.CheckProjectNAME"
							placeholder="检查项目" border="none"></u--textarea>

						<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
					</u-form-item>

					<u-form-item class="subRequired" required label="项目分类" prop="CheckProjectCategoryNAME" borderBottom
						@click="handleShowSheet({title: '检查项目分类', name: 'CheckProjectCategoryNAME'})">
						<u--textarea disabled autoHeight disabledColor="#fff" v-model="model.CheckProjectCategoryNAME"
							placeholder="检查项目分类" border="none"></u--textarea>
						<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
					</u-form-item>

					<u-form-item label="检查时间" required prop="CHECKTIME" borderBottom @click="showCheckDate()">
						<u--input disabledColor="#fff" v-model="model.CHECKTIME" placeholder="请选择检查时间" border="none"
							inputAlign="right"></u--input>
						<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
					</u-form-item>

					<u-form-item label="检查人员" required borderBottom prop="listCheckUserSign"
						@click="handleShowSheet({title: '检查人员', name: 'listCheckUserSign'})">
						<u--input disabledColor="#fff" v-model="model.listCheckUserSign" border="none"
							inputAlign="right"></u--input>
						<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
					</u-form-item>

					<view class="upload-title">附件</view>
					<full-upload v-model="model.Nav_Files" :isShowBtn='true' :listProp='listPropUpload'
						:listPropVal='listPropValUpload'></full-upload>
				</u--form>
			</uni-card>
		</view>

		<u-sticky offset-top="20">
			<view class="sub-form">
				<view class="sub-form-wrap">
					<view class="sub-form-btns">
						<view class="sub-form-btn" @click="handleAdd">
							<u-icon class="icon" name="plus-circle" color="#3c9cff" size="21"></u-icon>
							<u--text type="primary" text="新增"></u--text>
						</view>
					</view>

					<u--form labelPosition="left" labelWidth="auto" labelAlign="center" errorType="border-bottom"
						ref="sForm"> <!-- :model="model.Nav_ListSafeCheckDetail" -->
						<uni-collapse :border="false" accordion>
							<uni-card style="margin-bottom: 16px;" margin="0" spacing="0" :is-shadow="false"
								v-for="(item, index) in Nav_ListSafeCheckDetailShow.filter(i => !i.IS_DELETED)">
								<!-- //Nav_ListSafeCheckDetail Nav_ListSafeCheckDetailShow-->
								<!-- v-if="!item.IS_DELETED"  => .filter(i => !i.IS_DELETED) -->
								<uni-collapse-item :title="item.ROW_NO + '. ' + item.CHECKCONTENT" name="1">
									<view slot="value" class="row-action">
										<text v-if='(isDIY||(isLoadOK && tableKey === "1"))'
											@click.stop="DetailDel(item)" class="enableTrue">
											<u--text type="primary" class="btnCheck" text="删除"></u--text>
										</text>
									</view>

									<u-form-item v-if="isDIY||!item.CREATE_TIME" class="subRequired" required
										label="检查区域" prop="Nav_CheckArea.NAME" borderBottom
										@click="handleShowSheet({title: '检查区域', name: 'SubRiskAreaNAME',itemData:item})">
										<u--input disabledColor="#fff" v-model="item.Nav_CheckArea.NAME" border="none"
											inputAlign="right"></u--input>
										<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
									</u-form-item>
									<u-form-item v-else label="检查区域" prop="Nav_CheckArea.NAME" borderBottom>
										<u--input disabled disabledColor="#fff" v-model="item.Nav_CheckArea.NAME"
											border="none" inputAlign="right"></u--input>
									</u-form-item>

									<u-form-item v-if="isDIY||!item.CREATE_TIME" class="subRequired" required
										label="检查项目" prop="Nav_CheckProject.NAME" borderBottom
										@click="handleShowSheet({title: '检查项目', name: 'SubCheckProjectNAME',itemData:item})">
										<u--input disabledColor="#fff" v-model="item.Nav_CheckProject.NAME"
											border="none" inputAlign="right"></u--input>
										<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
									</u-form-item>
									<u-form-item v-else label="检查项目" prop="Nav_CheckProject.NAME" borderBottom>
										<u--input disabled disabledColor="#fff" v-model="item.Nav_CheckProject.NAME"
											border="none" inputAlign="right"></u--input>
									</u-form-item>

									<u-form-item v-if="isDIY||!item.CREATE_TIME" class="subRequired" required
										label="项目分类" prop="Nav_CheckProjectCategory.NAME" borderBottom
										@click="handleShowSheet({title: '项目分类', name: 'SubCheckProjectCategoryNAME',itemData:item})">
										<u--input disabledColor="#fff" v-model="item.Nav_CheckProjectCategory.NAME"
											border="none" inputAlign="right"></u--input>
										<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
									</u-form-item>
									<u-form-item v-else label="检查项目分类" prop="Nav_CheckProjectCategory.NAME"
										borderBottom>
										<u--input disabled disabledColor="#fff"
											v-model="item.Nav_CheckProjectCategory.NAME" border="none"
											inputAlign="right"></u--input>
									</u-form-item>

									<u-form-item class="subRequired" v-if="isDIY||!item.CREATE_TIME" required
										label="检查内容" prop="SubCheckContent" borderBottom
										@click="handleShowSheet({title: '检查内容', name: 'SubCheckContent',itemData:item})">
										<u--textarea disabled autoHeight disabledColor="#fff"
											v-model="item.CHECKCONTENT" placeholder="检查内容" border="none"></u--textarea>
										<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
									</u-form-item>
									<u-form-item v-else label="检查内容" prop="CHECKCONTENT" borderBottom>
										<u--textarea disabled autoHeight v-model="item.CHECKCONTENT" placeholder="检查内容"
											border="surround"></u--textarea>
									</u-form-item>

									<u-form-item label="检查依据" v-if="isDIY||!item.CREATE_TIME" prop="SubCheckProof"
										borderBottom
										@click="handleShowSheet({title: '检查依据', name: 'SubCheckProof',itemData:item})">
										<u--textarea disabled autoHeight disabledColor="#fff"
											v-model="item.listCheckProof" placeholder="检查依据"
											border="none"></u--textarea>
										<u-icon style="margin-left: 4px;" slot="right" name="arrow-down"></u-icon>
									</u-form-item>
									<u-form-item v-else label="检查依据" prop="CHECKPROOF" borderBottom>
										<u--textarea disabled autoHeight v-model="item.CHECKPROOF" placeholder="检查依据"
											border="surround"></u--textarea>
									</u-form-item>

								</uni-collapse-item>
							</uni-card>
						</uni-collapse>
					</u--form>

				</view>
			</view>
		</u-sticky>

		<u-modal :show="showDelModalIndex >= 0" @confirm="confirmDel" title="确认删除？"></u-modal>

		<u-datetime-picker :show="dateTimePickerInfo.showCheckDate" v-model='dateTimePickerInfo.defaultDateTime'
			@confirm="handleCheckDate" @close="dateTimePickerInfo.showCheckDate = false"
			@cancel="dateTimePickerInfo.showCheckDate = false"></u-datetime-picker>

		<query-selector :multiple="selectorInfo.isMultiple" :show="selectorInfo.showPopup"
			:defaultChecked="selectorInfo.defaultChecked" :title="selectorInfo.title" :lists="selectorInfo.dataLists"
			@search="handleSearch" @select="handleSelected" @close="selectorInfo.showPopup=false" />

		<view class="bottom-button">
			<button type="primary" v-if='(isDIY||(isLoadOK && tableKey === "1"))' @click="FullCheckUpdate">提交</button>
		</view>

	</view>
</template>

<script>
	import {
		guid,
		initFilter,
		extendRule,
		extendInclude,
		extendGroupRule,
		initFilterGroup,
		extendFilterGroup,
		extendFilterGroupGroupRules
	} from '../../../../utils/common'

	import {
		GetInfo,
		FullUpdateBS032,
		CheckTypeOrderPaged,
		CheckTypeLevelOrderPaged,
		OrderPagedAreaMineType,
		CheckProjectOrderPaged,
		OrderPagedProjectCategory,
		OrderPagedSafeCheckDetail,
		OrderPagedSuitAll,
		LawOrderPaged
	} from '../../../../services/apply/subPages/BS/safeCheck'

	import {
		OrderPagedUseful2,
		auditOptionShow,
		getEnum
	} from '../../../../services/common'

	export default {
		data() {
			return {
				indexShow: 10, //懒加载信息
				total: 0,
				tableKey: '0',
				TaskID: '',
				listPropUpload: ['SAFE_CHECK_ID'],
				listPropValUpload: [],
				AUDIT_OPINION: '',
				ORG_ID: '',
				isDIY: false,
				modelEdit: {},
				model: {
					ID: '',
					TaskID: '',
					ORG_ID: '',
					Nav_CheckType: {
						NAME: ''
					},
					Nav_CheckTypeLevel: {
						Nav_Enums: {}
					},
					CHECKOBJECT: '',
					CHECKTIME: '',
					Nav_Files: [],
					CREACTTYPE: 20,
					listCheckUserSign: '',
					Nav_ListCheckUser: [{
						SAFE_CHECK_ID: '',
						SUSER_ID: '',
						Nav_User: {
							NAME: ''
						},
						IMG_FILE_ID: ''
					}],
					RiskAreaNAME: '',
					CheckProjectNAME: '',
					CheckProjectCategoryNAME: '',
					Nav_ListCheckRiskArea: [{
						ORG_ID: '',
						SAFE_CHECK_ID: '',
						RISK_AREA_ID: '',
						Nav_RiskArea: {}
					}],
					Nav_ListCheckProject: [{
						ORG_ID: '',
						SAFE_CHECK_ID: '',
						CHECK_PROJECT_ID: '',
						Nav_CheckProject: {}
					}],
					Nav_ListCheckProjectCategory: [{
						ORG_ID: '',
						SAFE_CHECK_ID: '',
						CHECK_PROJECT_CATEGORY_ID: '',
						Nav_CheckProjectCategory: {}
					}],
					//操作需要同时操作 Nav_ListSafeCheckDetailShow
					Nav_ListSafeCheckDetail: [{
						SAFE_CHECK_ID: '',
						ROW_NO: '',
						CHECKRESULT: 0,
						Nav_CheckArea: {
							NAME: ''
						},
						Nav_CheckProject: {
							NAME: ''
						},
						Nav_CheckProjectCategory: {
							NAME: ''
						},
						CHECKCONTENT: '',
						CHECKPROOF: '',
						Nav_ListCheckDetailUser: [],
						Nav_ListLaw: [{
							CHECK_DETAIL_ID: '',
							LAW_ID: '',
							Nav_Standard: { //Nav_Law
								NAME: ''
							}
						}]
					}] //子表
				},
				isAudit: true,
				isLoadOK: false,
				lists: [],
				dateTimePickerInfo: {
					showCheckDate: false,
					dataIndex: undefined,
					defaultDateTime: uni.$u.timeFormat(new Date(), 'yyyy-mm-dd hh:MM:ss'),
					value: ''
				},
				selectorInfo: {
					isSubShow: false,
					isMultiple: false,
					showPopup: false,
					title: '检查人员',
					itemData: {},
					index: 0,
					dataLists: [],
					defaultText: '',
					defaultValue: '',
					name: '',
					defaultChecked: []
				},

				showDelModalIndex: undefined,
				rules: {
					'CHECKTIME': {
						type: 'string',
						required: true,
						trigger: ['blur', 'change']
					},
					'listCheckUserSign': {
						type: 'string',
						required: true,
						trigger: ['blur', 'change']
					}
				},
				
				//供显示 类似 懒加载
				Nav_ListSafeCheckDetailShow: [{
					SAFE_CHECK_ID: '',
					ROW_NO: '',
					CHECKRESULT: 0,
					Nav_CheckArea: {
						NAME: ''
					},
					Nav_CheckProject: {
						NAME: ''
					},
					Nav_CheckProjectCategory: {
						NAME: ''
					},
					CHECKCONTENT: '',
					CHECKPROOF: '',
					Nav_ListCheckDetailUser: [],
					Nav_ListLaw: [{
						CHECK_DETAIL_ID: '',
						LAW_ID: '',
						Nav_Standard: { //Nav_Law
							NAME: ''
						}
					}]
				}],
			}

		},
		onLoad(option) {
			this.model.ID = option.ID
			this.model.TaskID = option.taskID
			this.TaskID = option.taskID
			this.tableKey = option.tableKey
			this.ORG_ID = uni.getStorageSync('orgId')
			if (option.ID != null) {
				this.loadData()
			} else {
				this.isLoadOK = true
				this.model.ID = guid()
				this.model.ORG_ID = this.ORG_ID
				this.isDIY = true
				this.listPropValUpload.push(this.model.ID)
				// this.model.Nav_ListSafeCheckDetail = null
			}
		},
		methods: {
			handleAdd() {
				if (this.model.Nav_ListSafeCheckDetail == null) {
					this.model.Nav_ListSafeCheckDetail = []
				}
				this.model.Nav_ListSafeCheckDetail.unshift({
					ID: guid(),
					ORG_ID: this.ORG_ID,
					ROW_NO: 1,
					CHECKRESULT: 0,
					SAFE_CHECK_ID: this.model.ID,
					Nav_CheckArea: {
						NAME: ''
					},
					Nav_CheckProject: {
						NAME: ''
					},
					Nav_CheckProjectCategory: {
						NAME: ''
					},
					CHECKCONTENT: '',
					CHECKPROOF: '',
					Nav_ListCheckDetailUser: []
				})
			},

			//手动删除信息 编号修改
			DetailDel(item) {
				//不要直接删除 比如已经保存过，直接删除提交的时候不操作数据库
				item.IS_DELETED = true
				let indexNotDel = 1
				// this.ListApplyDetail = []
				this.model.Nav_ListSafeCheckDetail.forEach((e, i) => {
					if (!e.IS_DELETED) {
						e.ROW_NO = indexNotDel
						// this.ListApplyDetail.push(e)
						indexNotDel++
					}
				})
				this.isLoadOK = true
			},
			//显示时间控件
			showCheckDate(dataIndex) {
				if (this.model.NAME == '') {
					uni.$showErrorInfo('请先选择隐患通知！')
					return false
				}

				if (this.model.CHECKTIME == null) {
					this.model.CHECKTIME = uni.$u.timeFormat(new Date(),
						'yyyy-mm-dd hh:MM:ss')
				}
				this.dateTimePickerInfo = {
					showCheckDate: true,
					dataIndex: dataIndex,
					defaultDateTime: this.model.CHECKTIME
				}
			},
			//隐藏控件 显示时间
			handleCheckDate(e) {
				let v = uni.$u.timeFormat(e.value, 'yyyy-mm-dd hh:MM:ss')
				const {
					name,
					dataIndex
				} = this.dateTimePickerInfo
				this.dateTimePickerInfo.showCheckDate = false
				this.model.CHECKTIME = uni.$u.timeFormat(e.value,
					'yyyy-mm-dd hh:MM:ss')
			},

			confirmDel() {
				this.model.Nav_ListSafeCheckDetail.splice(this.showDelModalIndex, 1)
				this.showDelModalIndex = undefined
			},
			handleTab(t) {
				this.currentTab = t
			},
			FullCheckUpdate() {
				const ele = this.$refs
				this.modelEdit = JSON.parse(JSON.stringify(this.model))
				ele['wForm'].validate().then(res => {
					const orgId = uni.getStorageSync('orgId')
					this.modelEdit.STATUSPLAN = 5
					this.modelEdit.TaskID = this.TaskID
					if (this.modelEdit.Nav_ListSafeCheckDetail != null && this.modelEdit.Nav_ListSafeCheckDetail
						.length >
						0) {
						this.modelEdit.Nav_ListSafeCheckDetail.forEach(e => {
							if (e.Nav_ListCheckDetailReason != null && e.Nav_ListCheckDetailReason.length >
								0) {
								e.Nav_ListCheckDetailReason.forEach(er => {
									if (er.Nav_RiskReason != null)
										er.Nav_RiskReason = null
								})
							}
						})
					}

					this.modelEdit.Nav_CheckTypeLevel = null
					// this.model.Nav_CheckType = null
					this.modelEdit.Nav_ListCheckRiskArea.forEach(e => {
						e.Nav_RiskArea = null
					})
					this.modelEdit.Nav_ListCheckProject.forEach(e => {
						e.Nav_CheckProject = null
					})
					this.modelEdit.Nav_ListCheckProjectCategory.forEach(e => {
						e.Nav_CheckProjectCategory = null
					})

					// 行数据处理 把选择人 分别插入 每行的人员信息
					this.modelEdit.Nav_ListSafeCheckDetail.forEach(e => {
						e.Nav_ListCheckDetailUser = []
						this.modelEdit.Nav_ListCheckUser.forEach((u, i) => {
							let userSign = {
								ID: guid(),
								ORG_ID: orgId,
								// SAFE_CHECK_ID: this.model.ID,//重点！！！后台作为关键字在处理 不加此属性
								SAFE_CHECK_DETAIL_ID: e.ID,
								USER_ID: u.SUSER_ID,
								ISMAINCHECK: i == 0 ? 1 : 0
							}
							e.Nav_ListCheckDetailUser.push(userSign)
						})
						if (e.Nav_ListLaw != null)
							e.Nav_ListLaw.forEach(u => {
								u.Nav_Standard = null //Nav_Law
							})
						e.Nav_CheckQuestion = null
						e.Nav_CheckArea = null
						e.Nav_CheckProject = null
						e.Nav_CheckProjectCategory = null
					})

					FullUpdateBS032(this.modelEdit).then(res => {
						uni.$showMsgFunc('操作成功!', () => {
							if (this.tableKey == null || this.tableKey == 0) {
								uni.navigateTo({
									url: 'safeCheckIndex'
								})
							} else {
								uni.navigateBack()
							}
						}, 'success', 1000)
					})
				}).catch(err => {
					uni.$showErrorInfo('校验失败');
				})
			},

			async loadData() {
				const orgId = uni.getStorageSync('orgId')
				if (this.listPropValUpload.length == 0) {
					this.listPropValUpload.push(this.model.ID)
				}

				const json = initFilter(orgId, "", "CODE", 1)
				extendRule(json, 'ID', 1, this.model.ID);
				extendInclude(json, "Nav_CheckType");
				extendInclude(json, "Nav_CheckTypeLevel.Nav_Enums");
				extendInclude(json, "Nav_ListCheckRiskArea");
				extendInclude(json, "Nav_ListCheckRiskArea.Nav_RiskArea");
				extendInclude(json, "Nav_ListCheckProject");
				extendInclude(json, "Nav_ListCheckProject.Nav_CheckProject");
				extendInclude(json, "Nav_ListCheckProjectCategory");
				extendInclude(json, "Nav_ListCheckProjectCategory.Nav_CheckProjectCategory");
				extendInclude(json, "Nav_Files.Nav_ImgFile.Nav_File");
				extendInclude(json, "Nav_ListSafeCheckDetail");
				extendInclude(json, "Nav_ListSafeCheckDetail.Nav_CheckArea");
				extendInclude(json, "Nav_ListSafeCheckDetail.Nav_CheckProject");
				extendInclude(json, "Nav_ListSafeCheckDetail.Nav_CheckQuestion");
				extendInclude(json, "Nav_ListSafeCheckDetail.Nav_ListCheckDetailQuestion.Nav_Question");
				extendInclude(json, "Nav_ListSafeCheckDetail.Nav_ListCheckDetailReason.Nav_RiskReason");
				extendInclude(json, "Nav_ListSafeCheckDetail.Nav_Files.Nav_ImgFile.Nav_File");

				json.IgnoreDataRule = true
				GetInfo(json).then(res => {

					// if (res.Nav_ListSafeCheckDetail == null || res.Nav_ListSafeCheckDetail.length < 1) {
					// 	uni.$showMsgFunc('未获取到检查明细，完整操作请移至电脑端!', () => {
					// 		if (this.tableKey == null || this.tableKey == 0) {
					// 			uni.navigateTo({
					// 				url: 'safeCheckIndex'
					// 			})
					// 		} else {
					// 			uni.navigateBack()
					// 		}
					// 	}, 'error', 1500)
					// }

					this.model = res
					this.Nav_Files = res.Nav_Files

					//数据组装
					let strRiskAreaNAME = ''
					let idCheck = []
					if (res.Nav_ListCheckRiskArea && res.Nav_ListCheckRiskArea.length > 0) {
						for (let i = 0; i < res.Nav_ListCheckRiskArea.length; i++) {
							if (idCheck.indexOf(res.Nav_ListCheckRiskArea[i].RISK_AREA_ID) == -1) {
								idCheck.push(res.Nav_ListCheckRiskArea[i].RISK_AREA_ID)
								strRiskAreaNAME += (strRiskAreaNAME.length > 0 ? "," : "") + res
									.Nav_ListCheckRiskArea[
										i].Nav_RiskArea.NAME;
							}
						}
					}

					let CheckProjectCategoryNAME = ''
					if (res.Nav_ListCheckProjectCategory && res.Nav_ListCheckProjectCategory.length > 0) {
						for (let i = 0; i < res.Nav_ListCheckProjectCategory.length; i++) {
							if (idCheck.indexOf(res.Nav_ListCheckProjectCategory[i]
									.CHECK_PROJECT_CATEGORY_ID) == -
								1) {
								idCheck.push(res.Nav_ListCheckProjectCategory[i].CHECK_PROJECT_CATEGORY_ID)
								CheckProjectCategoryNAME += (CheckProjectCategoryNAME.length > 0 ? "," : "") +
									res
									.Nav_ListCheckProjectCategory[i].Nav_CheckProjectCategory.NAME;
							}
						}
					}

					let CheckProjectNAME = ''
					if (res.Nav_ListCheckProject && res.Nav_ListCheckProject.length > 0) {
						for (let i = 0; i < res.Nav_ListCheckProject.length; i++) {
							if (idCheck.indexOf(res.Nav_ListCheckProject[i].CHECK_PROJECT_ID) == -1) {
								idCheck.push(res.Nav_ListCheckProject[i].CHECK_PROJECT_ID)
								CheckProjectNAME += (CheckProjectNAME.length > 0 ? "," : "") + res
									.Nav_ListCheckProject[i].Nav_CheckProject.NAME;
							}
						}
					}
					this.Nav_ListSafeCheckDetailShow = this.model.Nav_ListSafeCheckDetail.slice(0, 10)
					this.model.RiskAreaNAME = strRiskAreaNAME
					this.model.CheckProjectCategoryNAME = CheckProjectCategoryNAME
					this.model.CheckProjectNAME = CheckProjectNAME
					this.isLoadOK = true
					this.total = this.model.Nav_ListSafeCheckDetail.length

				})
			},

			//下拉数据加载
			async handleShowSheet(p) {
				const orgId = uni.getStorageSync('orgId')
				const json = initFilter(orgId, "", "", 0)
				let dataSelect = []
				// this.selectorInfo.defaultChecked = []
				var defaultChecked = []
				if (p.name == "CheckTypeLevelNAME") {
					if (this.model.CHECK_TYPE_ID == null || this.model.CHECK_TYPE_ID.length < 1) {
						uni.$showErrorInfo('请先选择检查类型！')
						return false
					} else {
						this.selectorInfo.isMultiple = false
						extendRule(json, 'CHECK_TYPE_ID', 1, this.model.CHECK_TYPE_ID);
						json.Include.push("Nav_Enums")
						json.Sort = "Nav_Enums.NUM"
						json.Order = 1

						dataSelect = await CheckTypeLevelOrderPaged(json).then(res => {
							if (res != undefined && res.length > 0) {
								for (let i = 0; i < res.length; i++) {
									res[i].name = res[i].Nav_Enums.NAME
									res[i].code = res[i].CODE
								}
							}
							return res
						})
					}
				} else if (p.name == 'CheckTypeNAME') {
					this.selectorInfo.isMultiple = false
					extendRule(json, 'ENABLE_STATUS', 1, 0);
					if (p.val) {
						extendRule(json, 'NAME', 9, p.val);
					}
					json.Orders.push({
						Field: "NUM",
						Order: "0"
					})
					dataSelect = await CheckTypeOrderPaged(json).then(res => {
						if (res != undefined && res.length > 0) {
							for (let i = 0; i < res.length; i++) {
								res[i].name = res[i].NAME
								res[i].code = res[i].CODE
							}
						}
						return res
					})

				} else if (p.name == 'CHECKOBJECT') {
					this.selectorInfo.isMultiple = false
					var dataParm = {
						'name': "BSMineTypeEnum"
					}
					dataSelect = await getEnum(dataParm).then(res => {
						if (res != undefined && res.length > 0) {
							for (let i = 0; i < res.length; i++) {
								res[i].name = res[i].NAME
								// res[i].code = res[i].ID
							}
						}
						return res
					})
				} else if (p.name == 'RiskAreaNAME') {
					if (this.model.CHECKOBJECT == null || this.model.CHECKOBJECT.length < 1) {
						uni.$showErrorInfo('请先选择检查范围！')
						return false
					} else {
						if (p.val) {
							extendRule(json, 'NAME', 9, p.val);
						}

						this.selectorInfo.isMultiple = true
						json.FilterGroup.Groups.push({
							'IsAnd': false,
							'Rules': [{
								'Field': "CHECKOBJECT",
								'Operate': 1,
								'Value': this.model.CHECKOBJECT
							}]
						})
						json.Sort = 'NAME'
						// extendRule(json, 'CHECKOBJECT', 1, this.model.CHECKOBJECT);
						dataSelect = await OrderPagedAreaMineType(json).then(res => {
							if (res != undefined && res.length > 0) {
								for (let i = 0; i < res.length; i++) {
									res[i].name = res[i].NAME
									// res[i].code = res[i].CODE
								}
							}
							return res
						})
						if (this.model.Nav_ListCheckRiskArea.length > 0 && this.model.Nav_ListCheckRiskArea[0]
							.Nav_RiskArea != null) {
							// this.selectorInfo.defaultChecked = []
							this.model.Nav_ListCheckRiskArea.forEach(e => {
								defaultChecked.push(e.Nav_RiskArea)
							})
						} else {
							defaultChecked = null
						}
					}
				} else if (p.name == 'SubCheckContent') { //子表检查内容 
					if (this.model.CHECKOBJECT == null || this.model.CHECKOBJECT.length < 1) {
						uni.$showErrorInfo('请先选择检查范围！')
						return false
					} else {
						if (p.val) {
							extendRule(json, 'CHECKCONTENT', 9, p.val);
						}
						this.selectorInfo.isMultiple = false
						json.FilterGroup.Groups.push({
							'IsAnd': false,
							'Rules': [{
								'Field': "CHECKOBJECT",
								'Operate': 1,
								'Value': this.model.CHECKOBJECT
							}]
						})
						json.Sort = 'CHECKCONTENT'
						// extendRule(json, 'CHECKOBJECT', 1, this.model.CHECKOBJECT);
						dataSelect = await OrderPagedSuitAll(json).then(res => {
							if (res != undefined && res.length > 0) {
								for (let i = 0; i < res.length; i++) {
									res[i].name = res[i].CHECKCONTENT
									// res[i].code = res[i].CODE
								}
							}
							return res
						})
						if (this.model.Nav_ListCheckRiskArea.length > 0 && this.model.Nav_ListCheckRiskArea[0]
							.Nav_RiskArea != null) {
							// this.selectorInfo.defaultChecked = []
							this.model.Nav_ListCheckRiskArea.forEach(e => {
								if (e.Nav_RiskArea != null && e.Nav_RiskArea.NAME != null && e.Nav_RiskArea
									.NAME.length > 0)
									defaultChecked.push(e.Nav_RiskArea)
							})
						} else {
							defaultChecked = null
						}
					}
				} else if (p.name == 'SubCheckProof') { //子表检查依据
					if (p.val) {
						extendRule(json, 'NAME', 9, p.val);
					}
					this.selectorInfo.isMultiple = true
					json.Sort = 'NAME'
					// extendRule(json, 'CHECKOBJECT', 1, this.model.CHECKOBJECT);
					dataSelect = await LawOrderPaged(json).then(res => {
						if (res != undefined && res.length > 0) {
							for (let i = 0; i < res.length; i++) {
								res[i].name = res[i].NAME
								// res[i].code = res[i].CODE
							}
						}
						return res
					})
					// Nav_Law=> Nav_Standard
					if (p.itemData.Nav_ListLaw != null && p.itemData.Nav_ListLaw
						.length > 0 && p.itemData.Nav_ListLaw[0]
						.Nav_Standard != null) {
						p.itemData.Nav_ListLaw.forEach(e => {
							if (e.Nav_Standard != null && e.Nav_Standard.NAME != null && e.Nav_Standard.NAME
								.length > 0)
								defaultChecked.push(e.Nav_Standard)
						})
					} else {
						defaultChecked = null
					}
				} else if (p.name == 'CheckProjectNAME') {
					this.selectorInfo.isMultiple = true
					extendRule(json, 'ENABLE_STATUS', 1, 0);
					extendRule(json, 'IS_DELETED', 1, 'false');
					dataSelect = await CheckProjectOrderPaged(json).then(res => {
						if (res != undefined && res.length > 0) {
							for (let i = 0; i < res.length; i++) {
								res[i].name = res[i].NAME,
									res[i].code = res[i].CODE
							}
						}
						return res
					})
					// this.selectorInfo.defaultChecked = []
					if (this.model.Nav_ListCheckProject.length > 0 && this.model.Nav_ListCheckProject[0]
						.Nav_CheckProject != null) {
						this.model.Nav_ListCheckProject.forEach(e => {
							if (e.Nav_CheckProject != null && e.Nav_CheckProject.NAME != null && e
								.Nav_CheckProject.NAME.length > 0)
								defaultChecked.push(e.Nav_CheckProject)
						})
					}
				} else if (p.name == 'CheckProjectCategoryNAME') {
					if (this.model.CHECKOBJECT == null || this.model.CHECKOBJECT.length < 1) {
						uni.$showErrorInfo('请先选择检查范围！')
						return false
					} else if (this.model.CHECK_TYPE_ID == null || this.model.CHECK_TYPE_ID.length < 1) {
						uni.$showErrorInfo('请先选择检查类型！')
						return false
					} else {
						this.selectorInfo.isMultiple = true
						extendRule(json, 'Nav_ListCategoryType.CHECK_TYPE_ID', 1, this.model.CHECK_TYPE_ID);
						extendRule(json, 'CHECKOBJECT', 1, this.model.CHECKOBJECT);
						dataSelect = await OrderPagedProjectCategory(json).then(res => {
							if (res != undefined && res.length > 0) {
								for (let i = 0; i < res.length; i++) {
									res[i].name = res[i].NAME,
										res[i].code = res[i].CODE
								}
							}
							return res
						})
						// this.selectorInfo.defaultChecked = []
						if (this.model.Nav_ListCheckProjectCategory.length > 0 && this.model
							.Nav_ListCheckProjectCategory[0]
							.Nav_CheckProjectCategory != null) {
							this.model.Nav_ListCheckProjectCategory.forEach(e => {
								if (e.Nav_CheckProjectCategory != null && e.Nav_CheckProjectCategory.NAME !=
									null && e.Nav_CheckProjectCategory.NAME.length > 0)
									defaultChecked.push(e.Nav_CheckProjectCategory)
							})
						}
					}
				} else if (p.name == 'listCheckUserSign') {
					this.selectorInfo.isMultiple = true
					if (p.val) {
						extendRule(json, 'NAME', 9, p.val);
					}
					json.Sort = 'NAME'
					if (this.model.CHECKOBJECT != 0) {
						json.FilterGroup.Rules.push({
							'Field': "MineType",
							'Operate': 1,
							'Value': this.model.CHECKOBJECT
						})
					}

					dataSelect = await OrderPagedUseful2(json).then(res => {
						if (res.Data != undefined && res.Data.length > 0) {
							for (let i = 0; i < res.Data.length; i++) {
								res.Data[i].name = res.Data[i].NAME,
									res.Data[i].code = res.Data[i].CODE
							}
						}
						return res.Data
					})

					// this.selectorInfo.defaultChecked = []
					if (this.model.Nav_ListCheckUser != null && this.model.Nav_ListCheckUser.length > 0 && this.model
						.Nav_ListCheckUser[0].Nav_User != null) {
						this.model.Nav_ListCheckUser.forEach(e => {
							if (e.Nav_User != null && e.Nav_User.NAME != null && e.Nav_User.NAME.length > 0)
								defaultChecked.push(e.Nav_User)
						})
					}
				} else if (p.name == 'SubRiskAreaNAME') {
					this.selectorInfo.isSubShow = false
					this.selectorInfo.isMultiple = false
					var datesourceTemp = this.model.Nav_ListCheckRiskArea
					datesourceTemp.forEach(e => {
						if (e.Nav_RiskArea != null && e.Nav_RiskArea.NAME != null && e.Nav_RiskArea.NAME
							.length > 0) {
							this.selectorInfo.isSubShow = true
							e.name = e.Nav_RiskArea.NAME
							e.code = e.Nav_RiskArea.CODE
						}
					})
					if (!this.selectorInfo.isSubShow) {
						return false
					}
					dataSelect = datesourceTemp
				} else if (p.name == 'SubCheckProjectNAME') {
					this.selectorInfo.isMultiple = false
					this.selectorInfo.isSubShow = false
					var datesourceTemp = this.model.Nav_ListCheckProject
					datesourceTemp.forEach(e => {
						if (e.Nav_CheckProject != null && e.Nav_CheckProject.NAME != null && e.Nav_CheckProject
							.NAME.length > 0) {
							e.name = e.Nav_CheckProject.NAME
							e.code = e.Nav_CheckProject.CODE
							this.selectorInfo.isSubShow = true
						}
					})
					if (!this.selectorInfo.isSubShow) {
						return false
					}
					dataSelect = datesourceTemp
				} else if (p.name == 'SubCheckProjectCategoryNAME') {
					this.selectorInfo.isMultiple = false
					this.selectorInfo.isSubShow = false
					var datesourceTemp = this.model.Nav_ListCheckProjectCategory
					datesourceTemp.forEach(e => {
						if (e.Nav_CheckProjectCategory != null && e.Nav_CheckProjectCategory.NAME != null && e
							.Nav_CheckProjectCategory.NAME.length > 0) {
							e.name = e.Nav_CheckProjectCategory.NAME
							e.code = e.Nav_CheckProjectCategory.CODE
							this.selectorInfo.isSubShow = true
						}
					})
					if (!this.selectorInfo.isSubShow) {
						return false
					}
					dataSelect = datesourceTemp
				}
				if (defaultChecked == null)
					defaultChecked = []
				if (dataSelect.length) {
					this.selectorInfo = {
						itemData: p.itemData,
						isMultiple: this.selectorInfo.isMultiple,
						showPopup: true,
						title: p.title,
						name: p.name,
						dataLists: dataSelect,
						defaultChecked: defaultChecked
					}
				} else {
					// 暂无数据
				}
			},
			handleSelected(e) {
				this.selectorInfo.showPopup = false
				if (this.selectorInfo.name == "CHECKOBJECT") {
					this.model.CHECKOBJECT_DESCRIPTION = e.NAME
					this.model.CHECKOBJECT = e.ID
				} else if (this.selectorInfo.name == 'CheckTypeNAME') {
					this.model.CHECK_TYPE_ID = e.ID
					this.model.Nav_CheckType.NAME = e.NAME
				} else if (this.selectorInfo.name == 'CheckTypeLevelNAME') {
					this.model.CHECK_TYPE_LEVEL_ID = e.ID
					this.model.Nav_CheckTypeLevel.Nav_Enums = e.Nav_Enums
					// this.model.Nav_CheckTypeLevel.Nav_Enums.NAME = e.NAME
				} else if (this.selectorInfo.name == 'RiskAreaNAME') {
					let listArea = []
					let areaShow = ''
					if (e.length > 0) {
						e.forEach((item, i) => {
							if (item.name != null || item.NAME != null) {
								if (i > 0) {
									areaShow += ' '
								}
								listArea.push({
									ID: guid(),
									SAFE_CHECK_ID: this.model.ID,
									RISK_AREA_ID: item.ID,
									ORG_ID: item.ORG_ID,
									Nav_RiskArea: item
								})
								areaShow += item.NAME
							}
						})
					}
					this.model.Nav_ListCheckRiskArea = listArea
					this.model.RiskAreaNAME = areaShow
				} else if (this.selectorInfo.name == 'CheckProjectNAME') {
					let listProject = []
					let projectShow = ''
					if (e.length > 0) {
						e.forEach((item, i) => {
							if (item.name != null || item.NAME != null) {
								if (i > 0) {
									projectShow += ' '
								}
								listProject.push({
									ID: guid(),
									SAFE_CHECK_ID: this.model.ID,
									CHECK_PROJECT_ID: item.ID,
									ORG_ID: item.ORG_ID,
									Nav_CheckProject: item
								})
								projectShow += item.NAME
							}
						})
					}
					this.model.Nav_ListCheckProject = listProject
					this.model.CheckProjectNAME = projectShow
				} else if (this.selectorInfo.name == 'CheckProjectCategoryNAME') {
					let listProjectCategory = []
					let projectCategoryShow = ''
					if (e.length > 0) {
						debugger
						e.forEach((item, i) => {
							if (item.name != null || item.NAME != null) {
								if (i > 0) {
									projectCategoryShow += ' '
								}
								listProjectCategory.push({
									ID: guid(),
									SAFE_CHECK_ID: this.model.ID,
									CHECK_PROJECT_CATEGORY_ID: item.ID,
									ORG_ID: item.ORG_ID,
									Nav_CheckProjectCategory: item
								})
								projectCategoryShow += item.NAME
							}
						})
					}
					this.model.Nav_ListCheckProjectCategory = listProjectCategory
					this.model.CheckProjectCategoryNAME = projectCategoryShow
				} else if (this.selectorInfo.name == 'listCheckUserSign') {
					let listUsers = []
					let userShow = ''
					if (e.length > 0) {
						e.forEach((item, i) => {
							if (item.name != null) {
								if (i > 0) {
									userShow += ' '
								}
								listUsers.push({
									ID: guid(),
									SAFE_CHECK_ID: this.model.ID,
									SUSER_ID: item.ID,
									ORG_ID: item.ORG_ID,
									Nav_User: e[i]
								})
								userShow += item.NAME
							}
						})
					}
					this.model.Nav_ListCheckUser = listUsers
					this.model.listCheckUserSign = userShow
				} else if (this.selectorInfo.name == 'SubRiskAreaNAME') {
					this.selectorInfo.itemData.RISK_AREA_ID = e.Nav_RiskArea.ID
					this.selectorInfo.itemData.Nav_CheckArea = e.Nav_RiskArea
				} else if (this.selectorInfo.name == 'SubCheckProjectNAME') {
					this.selectorInfo.itemData.CHECK_PROJECT_ID = e.Nav_CheckProject.ID
					this.selectorInfo.itemData.Nav_CheckProject = e.Nav_CheckProject
				} else if (this.selectorInfo.name == 'SubCheckProjectCategoryNAME') {
					this.selectorInfo.itemData.CHECK_PROJECT_CATEGORY_ID = e.Nav_CheckProjectCategory.ID
					this.selectorInfo.itemData.Nav_CheckProjectCategory = e.Nav_CheckProjectCategory
				} else if (this.selectorInfo.name == 'SubCheckContent') {
					this.selectorInfo.itemData.CHECK_CONTENTS_ID = e.ID
					this.selectorInfo.itemData.CHECKCONTENT = e.CHECKCONTENT
				} else if (this.selectorInfo.name == 'SubCheckProof') {
					let listCheckProofs = []
					let CheckProofShow = ''
					if (e.length > 0) {
						e.forEach((item, i) => {
							if (item.name != null) {
								if (i > 0) {
									CheckProofShow += ' '
								}

								listCheckProofs.push({
									ID: guid(),
									CHECK_DETAIL_ID: this.selectorInfo.itemData.ID,
									STANDARD_ID: item.ID, //LAW_ID
									ORG_ID: item.ORG_ID,
									Nav_Standard: e[i] //Nav_Law
								})
								CheckProofShow += item.NAME
							}
						})
					}
					this.selectorInfo.itemData.Nav_ListLaw = listCheckProofs
					this.selectorInfo.itemData.listCheckProof = CheckProofShow
				}

				if ((this.selectorInfo.name == 'RiskAreaNAME' || this.selectorInfo.name == 'CheckProjectNAME' || this
						.selectorInfo.name == 'CheckProjectCategoryNAME') && (this.model.CHECKOBJECT != null && this
						.model.CHECK_TYPE_ID != null && this.model.CHECK_TYPE_LEVEL_ID !=
						null && this.model.CheckProjectCategoryNAME != null && this.model.CheckProjectCategoryNAME.length >
						0 && this.model.CheckProjectNAME != null && this.model.CheckProjectNAME.length > 0 && this.model
						.RiskAreaNAME != null && this.model.RiskAreaNAME.length > 0)) {
					//加载数据库信息
					const orgId = uni.getStorageSync('orgId')
					const json = initFilter(orgId, "", "", 0)

					let ProjectCategoryIDs = '' //CHECK_PROJECT_CATEGORY_ID
					let areaIDs = '' //RISK_AREA_ID
					let ProjectIDs = '' //CHECK_PROJECT_ID
					this.model.Nav_ListCheckRiskArea.forEach(e => {
						areaIDs += (areaIDs.length < 1 ? "" : ",") + e.RISK_AREA_ID
					})
					this.model.Nav_ListCheckProjectCategory.forEach(e => {
						ProjectCategoryIDs += (ProjectCategoryIDs.length < 1 ? "" : ",") + e
							.CHECK_PROJECT_CATEGORY_ID
					})
					this.model.Nav_ListCheckProject.forEach(e => {
						ProjectIDs += (ProjectIDs.length < 1 ? "" : ",") + e.CHECK_PROJECT_ID
					})

					json.FilterGroup.Rules.push({
						'Field': "Keyword",
						'Operate': 1,
						'Value': this.model.ID
					})
					json.FilterGroup.Rules.push({
						'Field': "Parameter1", // CHECK_PROJECT_CATEGORY_ID
						'Operate': 1,
						'Value': ProjectCategoryIDs
					})
					json.FilterGroup.Rules.push({
						'Field': "Parameter2",
						'Operate': 1,
						'Value': this.model.CHECK_TYPE_ID
					})
					json.FilterGroup.Rules.push({
						'Field': "Parameter3",
						'Operate': 1,
						'Value': this.model.CHECKOBJECT
					})
					json.FilterGroup.Rules.push({
						'Field': "Parameter4",
						'Operate': 1,
						'Value': this.model.CHECK_TYPE_LEVEL_ID
					})
					json.FilterGroup.Rules.push({
						'Field': "Parameter5", // RISK_AREA_ID
						'Operate': 1,
						'Value': areaIDs
					})
					json.FilterGroup.Rules.push({
						'Field': "Parameter6", //CHECK_PROJECT_ID
						'Operate': 1,
						'Value': ProjectIDs
					})

					OrderPagedSafeCheckDetail(json).then(res => {
						this.model.Nav_ListSafeCheckDetail = []
						this.model.Nav_ListSafeCheckDetail = res
					})
				}
			},
			closePicker() {
				this.comPickerInfo = {
					showSheet: false,
					columns: [],
					title: '',
					name: '',
					formIndex: undefined
				}
			},

			//显示组件
			handleChange() {
				this.selectorInfo.showPopup = true
				this.selectorInfo.title = '检查人员'
				// this.selectorInfo.name = name
				// this.selectorInfo.index = val

				this.selectorInfo.itemData = this.model.Nav_ListCheckUser

				// let defCheck = []
				// if (itemData.Nav_ListCheckDetailReason != null && itemData.Nav_ListCheckDetailReason.length > 0) {
				// 	for (let i = 0; i < itemData.Nav_ListCheckDetailReason.length; i++) {
				// 		defCheck.push(itemData.Nav_ListCheckDetailReason[i].Nav_RiskReason)
				// 	}
				// }
				// this.selectorInfo.defaultChecked = defCheck

				this.handleSearch()
			},

			//数据加载
			handleSearch(val) {
				var p = {
					name: this.selectorInfo.name,
					title: this.selectorInfo.title,
					val: val
				}
				this.handleShowSheet(p)


				// const orgId = uni.getStorageSync('orgId')
				// const json = initFilter(orgId, "", "", 0)
				// if (val) {
				// 	extendRule(json, 'NAME', 9, val);
				// }
				// OrderPagedUseful2(json).then(res => {
				// 	this.selectorInfo.dataLists = res.Data.map(i => {
				// 		return {
				// 			...i,
				// 			name: i.NAME,
				// 			code: i.CODE
				// 		}
				// 	})
				// })
			},


		},
		computed: {},
		onReachBottom() {
			if (this.indexShow < this.total) {
				var end = this.indexShow + 10
				if (end >= this.total)
					end = this.total

				var tampAdd = this.model.Nav_ListSafeCheckDetail.slice(this.indexShow, end)
				this.Nav_ListSafeCheckDetailShow = this.Nav_ListSafeCheckDetailShow.concat(tampAdd)
				// this.$forceUpdate()
				this.indexShow = end
			}
		},
	}
</script>


<style scoped>
	@import url("../../../../style/css/editTemplate.css");
</style>